import { Action } from '../../action/interface';
import { IRegisterStatePayload } from '../../registry';
import { ReduxRootState } from './state';
export declare class ReduxModuleRootReducer {
    static reduce(state: ReduxRootState, action: Action<{}>): ReduxRootState;
    static reduceRegisterState(state: ReduxRootState, action: Action<IRegisterStatePayload>): ReduxRootState;
    static reduceByRegisteredReducers(state: ReduxRootState, action: Action<{}>): ReduxRootState;
}
